<?lsp

local secureurl = not request:issecure() and bd.getSecureUrl(request)

headerdata=[[
<style>
input.credent{
  width: 330px;
  border: 1px solid #ccc;
}


#certwarn {border: solid 1px;margin:1em;padding:1em}
.jsshow {display:none}

</style>
<script>
var ajaxerr;
function redir() {
   document.location = document.location.href;
};

$(function(){
  $("input[type='text'], input[type='password']").focus(function(){$(this).css({border:"1px solid #f00",background: "#ffc"})}).blur(function(){$(this).css({border:"1px solid #ccc", background: "white"})});
  $("#name").trigger("focus");
  $("#certwarn").hide();
  $(".jsshow").show();
  $(".jshide").hide();
  $("#secureurl").click(function() {
     $("#logincontainer").hide();
     $("#certwarn").show();
     return false;
  });
  $("input[name='logintype']").click(function() {
     if(ajaxerr) return true;
     $.ajax({
        type: "GET",
        url: "/rtl/protected/admin/xyz.zzz",
        success: redir,
        error: function(){ajaxerr=true;redir()},
        beforeSend: function(x) {
           x.setRequestHeader("PrefAuth", "digest");
        }
     });
     return false;
  });
  $("input[type='text']").focus();
});
</script>
]]

if secureurl then
   headerdata = headerdata..'<script src="/rtl/sha1.js"></script>'
end
title = authinfo.realm and "Login: "..authinfo.realm or "Login"
title=string.format("%s%s",secureurl and "" or "Secure ",title)

response:include"../.header.lsp"

if page.hasCert == nil then
   local conf={}
   local bio = bd.baseio
   local cn
   if bio:stat"bd.conf" then
      cn="bd.conf"
   elseif bio:stat"bdd.conf" then
      cn="bdd.conf"
   end
   if cn then
      bio:dofile(cn,conf)
   end
   page.hasCert = conf.keyfile and conf.certfile and true or false
end
?>
<div id="logincontainer" <?lsp=secureurl and 'class="jsshow"' or ''?>>
<div id="login">
<div><p><?lsp=title?></p></div>
<form method="post">
<?lsp if secureurl then ?>
  <input type="hidden" name="ba_password" />
  <input type="hidden" name="ba_seed" value="<?lsp=authinfo.seed?>" />
  <input type="hidden" name="ba_seedkey" value="<?lsp=authinfo.seedkey?>" />
<?lsp end ?>
  <table border="0" cellspacing="5">
    <tr>
      <th align="right">Username:</th>
      <td align="left"><input class="credent" type="text" name="ba_username" id="name"/></td>
    </tr>
    <tr>
      <th align="right">Password:</th>
      <td align="left"><input class="credent" type="password" <?lsp=secureurl and 'id="ba_password2"' or 'name="ba_password"' ?> /></td>
    </tr>
    <tr>
      <td colspan="2"><input type="<?lsp=secureurl and 'button' or 'submit'?>" id="ba_loginbut" value="OK" /><p><?lsp=bd.passwdRecovery() and '<a href="/rtl/login/recoverpasswd.lsp">Forgot your Password?</a>' or ''?></p></td>
    </tr>
  </table>
</form>
</div>
<?lsp if not page.users then
   function tableEmpty(t)
      local it;
      if next(t,it) then
         return false
      end
      return true
   end
   local udb=bd.db.user.load()
   if tableEmpty(udb.v) then
      response:sendredirect"/Config-Wizard/"
   end
   page.users=true
   if bd.conf and (bd.conf.tracker == nil or bd.conf.tracker) then
 ?>
<p style="color:red;font;font-weight:bolder">You will be banned if you try too many times.</p>
<?lsp end end ?>

<?lsp if secureurl then ?>
<p>Switch to a <a <?lsp= page.hasCert and '' or 'id="secureurl"'?> href="<?lsp=secureurl?>">secure connection</a> if you are accessing the server from a public location such as from a Wi-Fi hotspot.</p>
<?lsp end ?>
</div>
<?lsp if secureurl and not page.hasCert then ?>
<div class="jshide">
<h1>Login</h1>
<p><b>Switch to a <a href="<?lsp=secureurl?>">secure connection</a> to login</b>.</p>
</div>
<div id="certwarn">
<img style="float:left" src="/rtl/images/CertWarning.gif" alt="Certificate Warning" />
<p>
You will get a <b>warning</b> advising you not to accept the page since you have not purchased a <a href="https://FuguHub.com/add-ons/SSL-Certificate-Wizard.lsp">SSL certificate</a> for your domain name.</p>
<p><b>Accept</b> the certificate despite the advice given -- you would be trusting your own server. The browser warning can be removed by purchasing a SSL certificate from one of the many online SSL certificate authorities.</p>
<p class="jsshow"><b>Continue switching to a <a href="<?lsp=secureurl?>">secure connection</a></b>.</p>
</div>

<?lsp
end
?>

<form method="post">
<input type="submit" name="logintype" value="HTTP Login" /> 
</form>

<?lsp
response:include"../.footer.lsp" ?>
