<?lsp
local cms=app.getCmsTab(request:session())
cms.doneUplUrl=nil
if cms.imgUplCfg then
   -- Must keep the table as it is used as an upvalue in imageupload.lua
   local cfg=cms.imgUplCfg
   for k in pairs(cfg) do
      cfg[k]=nil -- Empty content
   end
   cms.doneUplUrl=nil
end
cms.albumtitle=nil

local hasAlbumes = #(app.io:loadfile(pathname:match("(.-)[^/]+$").."photo/.albumlist.lua")(app))
   > 0 and true or false

-- The extra header we need ".header" to add.
headerdata=[[
<script type="text/javascript">
  $(function(){
     if (top.location != location) top.location.href = document.location.href ;
     else initHelp("images");
  });
</script>
]]
title="CMS: Manage Images"
response:include".header.lsp"
?>
<div id="help"></div>
<h1>Manage Images</h1>
<img hlp='intro' src='btn/questionmark.32.gif' alt='Help' style='float:right;margin:0 8em 0 0;border:none'/>
<br/>
<div class="manage" style="width:450px">
<h2>What would you like to do?</h2>

<ul>
<li><a href="photo/cfgupload.lsp">Upload images</a></li>
<li><a href="photo/cfgalbum.lsp">Create a new photo album <?lsp= hasAlbumes and "or add images to an album" or ""?></a></li>
<?lsp if hasAlbumes then ?>
<li><a href="photo/managealbums.lsp">Manage existing photo albums</a></li>
<?lsp end ?>
</ul>
</div>
<?lsp response:include".footer.lsp" ?>
