<?lsp
title="Port Mapping Instructions"
-- Make ".header" load our Wikipedia help engine
headerdata=[[
<script type="text/javascript" src="../help.js"></script>
<script type="text/javascript" src="/rtl/eh/ODB.js"></script>
<script type="text/javascript" src="/rtl/eh/eh.js"></script>  
]]
response:include"../wizard/.header.lsp"
?>

<h1 style="color:red;font-size:4em">Attention!</h1>

<b>Do the following if you do not understand the terminology Port Forwarding or if you are new to Port Forwarding:</b>
<ol>
<li><b>Carefully</b> read this entire page before clicking any links.</li>
<li>Optionally view <a href="https://www.youtube.com/results?search_query=port+forwarding" target="blank">port forwarding training videos on youtube.com</a></li>
<li>Configure Port Forwarding as explained on this page and the auxiliary pages.</li>
</ol>

<p>Estimated time to complete Port Forwarding is 3 minutes to 1 hour depending on your network computer skills.</p>

<h1><br/></h1>

<?lsp
response:include".PfIntro.lsp"
?>

<p style="float:right;margin-left:1em"><a href="ddnsIntro.lsp" title="Next"><img src="../images/next.png" border="0" /></a></p>
<p><br/></p>
<?lsp
showAbort=true
response:include"../wizard/.footer.lsp"
?> 

