<?lsp

local cfg=bd.cfg.load().v
if request:method() == "POST" then
   if request:data"menuhelp" ~= cfg.disablemenuhelp then
      if cfg.disablemenuhelp then cfg.disablemenuhelp=nil else cfg.disablemenuhelp=true end
      bd.cfg.save({v=cfg})
   end
end

-- The extra header we need ".header" to add.
headerdata=[[
<link href="style.css" rel="stylesheet" type="text/css" />
<style type="text/css" media="screen">
p {text-align:center}
</style>
]]
title="Menu: Administrator Panel"
response:include".header.lsp"
emitHelpBut("index", true)
?>
<h1>FuguHub<br/>Administrator Panel<br/><br/></h1>

<img style="margin-left:auto;margin-right:auto;display:block;" src="img/settings.png" />

<p ><br/><br/>Welcome <?lsp=request:user()?>.<br/>You are authenticated as an administrator.</p>
<?lsp if bd.db.user.size() == 1 then ?>
<p style='color:blue'><img src='/rtl/protected/admin/img/cancel.png' />&nbsp;&nbsp;You have not added any users besides the administrator. We recommend using the <a href="wizard/">wizard</a> if you are new to FuguHub.</p>

<?lsp end ?>
<form method="post">

<fieldset style="width:150px;margin-left: auto; margin-right: auto;">
  <legend><b> Help Manager </b></legend> 
Disable: <input type="checkbox" name="menuhelp"<?lsp= cfg.disablemenuhelp and " checked" or ""?>/>
<input style="float:right" type="submit" value="Save" /> 
</fieldset>
</form>
<?lsp response:include".footer.lsp" ?>
