
local function emitLists(w,sqlutil,conn,email)
   local tinsert=table.insert
   local lists={}
   local lc={} -- List Checked
   if email.list then
      for _,v in ipairs(email.list) do
         lc[v]=true
      end
   end
   sqlutil.select(conn,'key,name,description FROM maillist', function(cur)
      local key,name,description = cur:fetch()
      while name do
         tinsert(lists,{key,name,description})
         key,name,description = cur:fetch()
      end
   end)

   local x,y=0,0
   if #lists > 0 then
      w'<table><tr>'
      for _,list in ipairs(lists) do
         local desc=list[3]
         if #desc>0 then
            w('<td><input type="checkbox" name="list" value="',list[1],'"',
              lc[list[1]] and ' checked="checked"' or '',
              '"/><a href="#">',list[2],'<span>',desc,'</span></a>')
         else
            w('<td><input type="checkbox" name="list" value="',list[1],'"',
              lc[list[1]] and ' checked="checked"' or '',
              '"/>',list[2])
         end
         w'</td>'
         x=x+1
         if x > 4 then
            x=0
            y=y+1
            w('</tr><tr>')
         end
      end
      if y > 0 then
         while x <= 4 do
            w'<td></td>'
            x=x+1
         end
      end
      w'</tr></table>'
   end
   return #lists
end

return emitLists
