<?lsp

local rowid

function confirmDelete()
   local cur = conn:execute(fmt(
      "SELECT subject FROM blog WHERE rowid = %s", rowid))
   if cur then
      local subject = cur:fetch()
      if subject then
         pfmt([[
<h1>Delete Blog Entry</h1>
<p>Do you want to delete "%s" ?</p>
<table><tr>
<td>
<form method="post">
<input type="hidden" name="lic" value="%s"/>
<input type="submit" value="Delete">
</form>
</td>
<td>
<input type="submit" value="Cancel" onclick="window.location='/blog/';return false"/>
</td>
</tr></table>
             ]],subject,rowid)
      end
      cur:close()
   end
end

function deleteBlog()
   local na,e=conn:execute(fmt(
      [[DELETE FROM blog WHERE rowid = %s]], rowid),1000)
   if e then
      pfmt("<p>%s</p>",e)
   else
      app.updateArchList()
      app.emptyPageCache()
      pfmt([[<h1>Blog Entry Deleted</h1><a href="/blog/">continue</a>]])
   end
end


function cmsEmitPage()
   print([[<div class="center" style="width:300px">]])
   env,conn = app.openDb()
   if env then
      if request:method() == "POST" then
         deleteBlog()
      else
         confirmDelete()
      end
   end
   app.closeDb(env,conn)
   print("</div>")
end

function cmsMonth() return "" end

rowid=request:data"blog"
if rowid then
   title="Delete Blog"
   env,conn = app.openDb()
   cmsTitle="Delete Blog Entry"
   response:forward("/.layout.lsp",true)
   app.closeDb(env,conn)
else
   response:sendredirect("/")
end
?>
