<?lsp

-- The extra header we need ".header" to add.
headerdata=[[
<link href="../appmgr/style.css" rel="stylesheet" type="text/css" />
<style type="text/css" media="screen">
a.dns{color:red}
a.dns:hover{background: #ccc}
h2 {text-align:left}
</style>
<script>
String.prototype.trim = function() 
{
  return this.replace(/(^\s*)|(\s*$)/g, "");
}
window.onload = function(){
  $('.logins span').each(function(i){
    var d = new Date($(this).html() * 1000);
    $(this).html( d.toLocaleString() );
  });
}
function test(obj){
  alert(obj);
}
function getLocation(str){
  var src = "http://api.hostip.info/get_html.php?position=true&ip="+str.trim();
  $("#loinfo").attr("src",src);
}
</script>
]]

title="Menu: Administrator Panel: Login Tracker"
response:include"/rtl/.header.lsp"
?>
    <h1>Login tracker</h1>
    <a name="loc"></a>
    <h2>Location information</h2>
    <div id="loading">
    <iframe src="info.txt" frameborder="0"  style="width: 50%;height: 130px;" id="loinfo"></iframe>
    </div>
    <h2>Attempted logins</h2>
<?lsp
local succ = ba.tracker.successful();
local failed = ba.tracker.attempted();
if #failed > 0 then
?>
<table class="logins">
<tr>
<th>name</th>
<th>address</th>
<th>time</th>
<th>counter</th>
<th>aux</th>
</tr>
<?lsp
  for i in ipairs(failed) do
     -- number of logins = aux (auxiliary counter) + counter
    print("<tr>");
    print("<td>", failed[i].name,"</td><td><a onclick='getLocation(\"",failed[i].addr ,"\")' href='#loc'>",failed[i].addr, "</a></td><td><span>", failed[i].time, "</span></td><td>",failed[i].counter,"</td><td>",failed[i].aux, "</td>");
    print("</tr>");
  end
else
  print("<p>No entries in the attempted login list</p>");
end

?>
</table>

<h2>Successful logins</h2>


<?lsp

if #succ > 0 then
?>
<table class="logins">
<tr>
<th>name</th>
<th>address</th>
<th>time</th>
</tr>
<?lsp
  for i in ipairs(succ) do
    print("<tr>");
    print("<td>", succ[i].name,"</td><td><a class='dns' onclick='getLocation(\"",succ[i].addr ,"\")' href='#loc'>",succ[i].addr, "</a></td><td><span>", succ[i].time, "</span></td>");
    print("</tr>");
  end
else
  print("<p>No entries in the successful login list</p>");
end
?>
</table>
<?lsp response:include"../.footer.lsp" ?>
