<?lsp

headerdata=[[
<script type='text/javascript' src='/rtl/wfm/wfm.js'></script>
<link rel="stylesheet" type="text/css" href="../../../fstab.css" />
]]
title="Menu: Mail Manager: Lists"
response:include"/rtl/.header.lsp"
local env,conn=bd.openDb"bd" 
local sqlutil=require"sqlutil"

local listcnt=0

local function action(cur)
   
   local name,description = cur:fetch()
   if name then
      response:write""
   end
   while name do
      listcnt = listcnt + 1
      response:write("<tr><td><a href='list.lsp?name=",ba.urlencode(name),
                     "'>",name,"</a></td><td>",description,"</td></tr>")
      name,description = cur:fetch()
   end
end

?>
<div id='fstab'>
   <table>
   <thead><tr><th>Name</th><th>Description</th></tr></thead>
   <tbody>
<?lsp
sqlutil.select(conn,'name,description FROM maillist', action)
?>
</tbody></table></div>
<?lsp 
bd.closeDb(env,conn)
if listcnt == 0 then
   empty=true
   response:forward".help.lsp"
end
response:include".footer.lsp"
?>
