<?lsp

-- Search.lsp?search=name&limit=rowlimit

local data=bd.trim(request:data())
if data.search then
   local env,conn = bd.openDb"bd"
   local tinsert=table.insert
   local tab={}
   local s=luasql.quotestr(string.format("%%%s%%",data.search))
   local limit = data.limit and tonumber(data.limit) or 100
   local sql=string.format("%s(email LIKE %s) or (firstname LIKE %s) or (lastname LIKE %s) LIMIT %d",
                 "key,email,firstname,lastname,(SELECT name FROM maillist WHERE key=listkey) FROM mailcontact WHERE ",
                 s,s,s,limit)
   local function action(cur)
      local key,email,firstname,lastname,listname = cur:fetch()
      while key do
         tinsert(tab,{k=key,e=email,fn=firstname,ln=lastname,l=listname})
         key,email,firstname,lastname,listname = cur:fetch()
      end
   end
   require"sqlutil".select(conn,sql, action)
   bd.closeDb(env,conn)
   response:json(tab)
end
response:senderror(404)
?>
